View unanswered posts    View active topics

All times are UTC - 6 hours





Post new topic Reply to topic  [ 4 posts ] 
Print view Previous topic   Next topic  
Author Message
Search for:
PostPosted: Tue Jun 21, 2016 5:04 pm 
Offline
Joined: Sat Jun 05, 2004 2:00 pm
Posts: 31
Location: St. Paul, MN
I'm trying to upgrade from 8.3 to 8.4.1 using the pacman -Syu command. I get a bunch of error messages about python2-setuptools ... exists in filesystem.

I suspect its due to me installing some python software last fall that let a cron job set the desired indoor humidity level on my Nest thermostat. Now its summertime and I can't upgrade Linhes.

Is there a way for me to recover from this problem?

Thanks for your help.

Code:
[root@mythtv ks]# sudo pacman -Syu
:: Synchronizing package databases...
 core is up to date
 extra is up to date
:: Starting full system upgrade...
:: Replace grub-bios with core/grub? [Y/n] y
:: Replace grub-common with core/grub? [Y/n] y
:: Replace libltdl with core/libtool? [Y/n] y
:: Replace libplatform with extra/p8-platform? [Y/n] y
:: Replace libusbx with core/libusb? [Y/n] y
:: Replace python-pycurl with core/python2-pycurl? [Y/n] y
resolving dependencies...
looking for conflicting packages...
warning: dependency cycle detected:
warning: readline will be installed before its bash dependency
warning: dependency cycle detected:
warning: xorg-server will be installed before its nvidia-libgl dependency
warning: dependency cycle detected:
warning: xorg-server will be installed before its nvidia-utils dependency
warning: dependency cycle detected:
warning: xorg-server will be installed before its nvidia-libgl dependency
warning: dependency cycle detected:
warning: php-gd will be installed before its php dependency
warning: dependency cycle detected:
warning: php-mcrypt will be installed before its php dependency
warning: dependency cycle detected:
warning: php-gd will be installed before its php dependency
warning: dependency cycle detected:
warning: php-gd will be installed before its php dependency

Package (200)                Old Version         New Version         Net Change

core/LinHES-config           8.3-24              8.4.1-1               0.00 MiB
core/LinHES-system           8.3-24              8.4-15                0.01 MiB
core/acpid                   2.0.20-1            2.0.26-1             -0.10 MiB
extra/adwaita-icon-theme                         3.14.1-1             13.86 MiB
core/alsa-lib                1.0.29-1            1.1.1-1               0.10 MiB
core/alsa-utils              1.0.29-1            1.1.1-1               0.04 MiB
extra/at-spi2-atk                                2.14.1-1              0.20 MiB
extra/at-spi2-core                               2.14.1-1              1.87 MiB
core/atk                     2.14.0-1            2.18.0-1             -1.05 MiB
core/avahi                   0.6.31-14           0.6.32-2              0.01 MiB
core/bash                    4.3.039-1           4.3.042-4             0.01 MiB
extra/boost-libs             1.57.0-3            1.60.0-2             -0.43 MiB
core/btrfs-progs             3.12-1              4.4-1                 1.18 MiB
core/cairo                   1.14.0-2            1.14.6-2              0.00 MiB
core/certmaster              0.28-4              0.28-5                0.00 MiB
core/ceton_infinitv          2013.0326.2226-12   2013.0326.2226-15     0.00 MiB
extra/colord                                     0.1.21-2              2.00 MiB
core/confuse                 2.7-2               2.7-3                -0.12 MiB
core/cryptsetup              1.6.3-1             1.7.0-1               0.04 MiB
core/curl                    7.39.0-1            7.47.1-2             -0.78 MiB
core/cython2                 0.16-1              0.24-1                1.87 MiB
core/dbus                    1.8.20-1            1.10.6-1             -0.39 MiB
extra/dcadec                                     0.2.0-1               0.24 MiB
extra/dconf                                      0.12.1-2              0.69 MiB
core/e16_theme_settings      8.3-3               8.4-3                 0.00 MiB
core/elfutils                0.163-1             0.165-1              -1.97 MiB
extra/exiv2                                      0.25-3                6.92 MiB
core/ffmpeg                  1:2.7.2-2           1:3.0.2-2             4.98 MiB
core/fontconfig              2.11.1-1            2.11.1-2             -1.28 MiB
core/fping                   3.8-3               3.10-1               -0.03 MiB
core/fribidi                 0.19.2-2            0.19.7-1             -0.29 MiB
core/gawk                    4.1.0-2             4.1.3-1               0.11 MiB
core/gcc-libs                4.9.2-1             5.3.0-5              53.08 MiB
extra/gd                     2.1.1-2             2.1.1-3               0.00 MiB
extra/geoclue                                    0.12.99-2             0.42 MiB
core/ghostscript             9.15-1              9.18-6                1.90 MiB
extra/glew                   1.11.0-1            1.13.0-1             -0.07 MiB
extra/glib-networking        2.32.3-1            2.46.1-1             -0.50 MiB
core/glib2                   2.42.1-1            2.46.2-2              0.28 MiB
core/glibc                   2.20-4              2.23-1                0.64 MiB
core/gnutls                  3.0.21-1            3.4.11-1             -1.50 MiB
core/grub                                        1:2.02.beta2-8       28.77 MiB
grub-bios                    2.00-2                                   -1.66 MiB
grub-common                  2.00-2                                  -13.39 MiB
extra/gst-plugins-base                           1.2.1-1               0.50 MiB
core/gtk2                    2.24.25-1           2.24.29-1             0.25 MiB
extra/gtk3                                       3.18.6-2             44.06 MiB
extra/harfbuzz               0.9.36-1            1.1.3-1               0.12 MiB
extra/hdf5                                       1.10.0-1              7.11 MiB
extra/icu                    54.1-1              56.1-2               -0.03 MiB
core/iguanair                1.0.3-2             1.1.0-1              -0.14 MiB
core/iproute2                3.17.0-1            4.1.1-1               0.15 MiB
core/ivtv-utils              1.4.1-3             1.4.1-7              -0.03 MiB
extra/json-c                                     0.12-2                0.10 MiB
extra/json-glib                                  1.0.2-1               1.44 MiB
extra/ldb                    1.1.17-1            1.1.24-1              0.05 MiB
core/ldns                    1.6.13-1            1.6.17-3             -1.36 MiB
core/libaosd                 0.2.7-1             0.2.7-2              -0.07 MiB
core/libarchive              3.1.2-8             3.1.2-10             -0.02 MiB
core/libass                  0.12.0-1            0.13.2-1              0.04 MiB
core/libatasmart             0.19-2              0.19-3               -0.05 MiB
extra/libbluray              0.6.2-1             0.9.2-1               0.78 MiB
extra/libcdio                0.93-1              0.93-3                0.00 MiB
core/libcec                  3.0.1-1             3.1.0-2               0.13 MiB
extra/libcrystalhd-git       20120803-1          20160211-1            0.96 MiB
extra/libcups                1.7.5-1             2.1.2-3               0.06 MiB
core/libdbus                 1.8.20-1            1.10.6-1              0.03 MiB
core/libdrm                  2.4.58-1            2.4.66-1              0.12 MiB
extra/libebml                1.2.2-2             1.3.3-2              -0.35 MiB
extra/libee                                      0.4.1-3               0.14 MiB
core/libelf                                      0.165-1               2.06 MiB
extra/libestr                                    0.1.10-1              0.03 MiB
extra/libglvnd                                   0.1.0.20160411-1      1.50 MiB
core/libhdhomerun            20140121-1          20150826-1            0.01 MiB
extra/libinput                                   1.1.4-1               0.32 MiB
core/libjpeg-turbo           1.3.1-3             1.4.2-2               0.26 MiB
extra/liblogging                                 1.0.5-1               0.04 MiB
libltdl                      2.4.2-15                                 -0.84 MiB
extra/libmatroska            1.4.1-1             1.4.4-1              -0.01 MiB
libplatform                  1.0.10-1                                 -0.26 MiB
extra/librelp                                    1.2.7-3               0.08 MiB
core/librsvg                 1:2.40.5-1          2:2.40.11-1           0.00 MiB
core/libtasn1                2.13-1              4.7-1                -0.25 MiB
core/libtool                                     2.4.6-4               2.16 MiB
core/libusb                                      1.0.20-1              0.17 MiB
core/libusb-compat           0.1.4-2             0.1.5-1              -0.03 MiB
libusbx                      1.0.12-2                                 -0.15 MiB
core/libutil-linux           2.25.2-1            2.27.1-1             -1.04 MiB
core/libvdpau                0.8-1               1.1.1-2               0.02 MiB
extra/libvpx                 1.4.0-2             1.5.0-4               1.51 MiB
extra/libwbclient            4.1.14-1            4.3.4-1               0.02 MiB
core/libx11                  1.6.2-2             1.6.3-1              -0.36 MiB
core/libxext                 1.3.1-1             1.3.3-1              -0.41 MiB
core/libxi                   1.6.1-1             1.7.6-1              -0.54 MiB
extra/libxkbcommon                               0.5.0-1               1.16 MiB
extra/libxkbcommon-x11                           0.5.0-1               0.05 MiB
core/libxml2                 2.9.2-2             2.9.3-1              -5.77 MiB
core/libxrandr               1.4.2-2             1.5.0-1               0.00 MiB
core/libxrender              0.9.7-1             0.9.9-1              -0.08 MiB
core/libxt                   1.1.3-1             1.1.5-1              -2.17 MiB
core/lighttpd                1.4.37-1            1.4.39-1              0.00 MiB
core/linhes-theme            8.3-1               8.4-7                 0.67 MiB
core/linux                   3.18.24-1           4.4.13-1              2.85 MiB
core/linux-api-headers       3.16.2-1            4.4.1-1               0.26 MiB
core/linux-firmware          20150722.e10097a-1  20160113.40e9ae8-1   20.84 MiB
extra/llvm-libs              3.5.0-2.1           3.7.1-1               7.49 MiB
core/lzo                     2.08-3              2.09-1               -0.21 MiB
core/mesa                    10.4.0-1            11.1.1-1              3.59 MiB
core/mkinitcpio              18-2                19-1                  0.00 MiB
extra/mkvtoolnix-cli         7.4.0-1             9.1.0-3               1.17 MiB
extra/mpg123                 1.19.0-1            1.22.4-1              0.04 MiB
core/mplayer                 37379-4             37379-6               0.31 MiB
core/mythdb-initial          8.1-3               8.4-4                 0.01 MiB
extra/mythexpress            20150205-1          20160427-1           -5.55 MiB
core/mythinstall             8.3-12              8.4-4                -0.02 MiB
core/mythtv                  0.27.5-15           0.28-14              23.92 MiB
core/mythweb                 0.27-8              0.28-5                0.07 MiB
core/nano                    2.4.3-1             2.5.3-2               0.07 MiB
extra/netcdf                                     4.4.1rc1-1            1.87 MiB
core/nettle                  2.7.1-1             3.2-1                 0.14 MiB
extra/nodejs                 0.10.32-3           0.10.44-1             0.74 MiB
core/nvidia                  355.11-4            364.19-6              1.54 MiB
core/nvidia-libgl            355.11-1            364.19-2              0.00 MiB
core/nvidia-utils            355.11-1            364.19-2             10.91 MiB
core/opencl-nvidia           355.11-1            364.19-2              1.17 MiB
core/openssh                 6.9p1-2             7.1p2-2              -0.05 MiB
core/openssl                 1.0.2.d-1           1.0.2.g-3            -0.05 MiB
core/p11-kit                 0.23.1-2            0.23.2-1              0.00 MiB
extra/p8-platform                                2.0.1-2               0.26 MiB
core/pacman                  4.2.1-3             5.0.1-2               0.38 MiB
core/pango                   1.36.8-1            1.38.1-1             -2.29 MiB
core/pcre                    8.31-1              8.38-3               -2.10 MiB
core/php                     5.6.12-2            5.6.17-1             -0.02 MiB
core/php-cgi                 5.6.12-2            5.6.17-1             -0.02 MiB
core/php-gd                  5.6.12-2            5.6.17-1              0.00 MiB
core/php-mcrypt              5.6.12-2            5.6.17-1              0.00 MiB
core/pixman                  0.32.6-1            0.32.8-1             -0.01 MiB
python-pycurl                7.19.0-6                                 -0.40 MiB
core/python2                 2.7.9-1             2.7.11-2              0.83 MiB
core/python2-cairo           1.10.0-1            1.10.0-3             -0.05 MiB
core/python2-cffi            0.8.2-4             1.5.2-1               0.40 MiB
core/python2-cryptography    0.3-1               1.3.1-1               1.14 MiB
core/python2-enum34                              1.1.2-1               0.43 MiB
core/python2-idna                                2.1-1                 0.65 MiB
core/python2-ipaddress                           1.0.16-1              0.22 MiB
core/python2-pyasn1                              0.1.9-1               0.32 MiB
core/python2-pycurl                              7.43.0-1              0.15 MiB
core/python2-pyopenssl       0.14-3              16.0.0-1             -0.55 MiB
core/python2-setuptools                          3.4.4-1               2.01 MiB
core/python_aosd             0.2.2-1             0.2.5-1               0.00 MiB
core/qt4                     4.8.6-3             4.8.7-6               2.12 MiB
core/qt5-base                                    5.5.1-10             54.60 MiB
core/qt5-declarative                             5.5.1-10             16.01 MiB
core/qt5-location                                5.5.1-10              2.72 MiB
core/qt5-script                                  5.5.1-10              3.68 MiB
core/qt5-sensors                                 5.5.1-10              0.80 MiB
core/qt5-webchannel                              5.5.1-10              0.19 MiB
core/qt5-webkit                                  5.5.1-10             37.00 MiB
core/qt5-xmlpatterns                             5.5.1-10              6.27 MiB
extra/qtchooser                                  53-2                  0.04 MiB
core/randrproto              1.4.0-1             1.5.0-1              -0.15 MiB
core/readline                6.3.006-1           6.3.008-3            -0.56 MiB
extra/rest                                       0.7.92-1              0.79 MiB
extra/rsync                  3.1.1-4             3.1.2-1               0.00 MiB
core/rsyslog                 5.8.13-3            8.11.0-1              0.09 MiB
core/runit-scripts           8.3-11              8.4-2                 0.00 MiB
extra/samba                  4.1.14-1            4.3.4-1               1.76 MiB
extra/shared-color-profiles                      0.1.5-1              24.54 MiB
core/shared-mime-info        1.0-1               1.5-1                -0.04 MiB
extra/smbclient              4.1.14-1            4.3.4-1               2.40 MiB
core/squashfs-tools          4.2-4               4.3-4                 0.04 MiB
core/supplemental-web        8.2-6               8.4-3                 0.00 MiB
extra/swig                   2.0.7-2             3.0.8-1              -0.97 MiB
core/system-templates        8.3-11              8.4-1                 0.01 MiB
core/taglib                  1.8-1               1.10-3                0.23 MiB
core/talloc                  2.1.0-1             2.1.5-1               0.03 MiB
core/tdb                     1.3.0-2             1.3.8-1               0.01 MiB
extra/tevent                 0.9.21-2            0.9.26-1              0.01 MiB
core/tilda                   0.9.6-7             1.3.1-4              -0.20 MiB
core/urlgrabber              3.9.1-3             3.10.1-2             -0.02 MiB
core/util-linux              2.25.2-1            2.27.1-1              0.93 MiB
core/vdpauinfo               0.1-2               1.0-2                 0.00 MiB
extra/vid.stab                                   1.1-1                 0.15 MiB
extra/vte-common             0.32.2-1            0.42.1-2             -0.03 MiB
extra/vte3                                       0.42.1-2              0.77 MiB
core/wget                    1.16-2              1.17.1-1              0.62 MiB
core/x265                    1.7-3               1.9-1                10.67 MiB
core/xcb-util-image                              0.4.0-1               0.05 MiB
core/xcb-util-keysyms                            0.4.0-1               0.03 MiB
core/xcb-util-wm                                 0.4.1-1               0.22 MiB
core/xcursor-vanilla-dmz-aa  0.4.3-1             0.4.4-1               0.00 MiB
core/xf86-input-evdev        2.9.2-1             2.10.1-3              0.00 MiB
core/xf86-video-vesa         2.3.4-1             2.3.4-2               0.00 MiB
core/xfsprogs                3.2.1-1             4.3.0-1               0.32 MiB
core/xorg-server             1.17.2-1            1.18.0-4             -0.02 MiB
core/xorg-server-common      1.17.2-1            1.18.0-4              0.00 MiB
core/xorg-xrandr             1.3.5-1             1.5.0-1              -0.03 MiB
core/xproto                  7.0.27-1            7.0.28-1              0.00 MiB
core/xterm                   320-2               322-1                 0.00 MiB
core/xymonserver             4.3.17-20           4.3.17-23             0.13 MiB

Total Installed Size:  1605.81 MiB
Net Upgrade Size:       385.48 MiB

:: Proceed with installation? [Y/n] y
(194/194) checking keys in keyring                 [######################] 100%
(194/194) checking package integrity               [######################] 100%
(194/194) loading package files                    [######################] 100%
(194/194) checking for file conflicts              [######################] 100%
error: failed to commit transaction (conflicting files)
python2-setuptools: /usr/bin/easy_install-2.7 exists in filesystem
python2-setuptools: /usr/lib/python2.7/site-packages/_markerlib/__init__.py exists in filesystem
python2-setuptools: /usr/lib/python2.7/site-packages/_markerlib/__init__.pyc exists in filesystem
python2-setuptools: /usr/lib/python2.7/site-packages/_markerlib/markers.py exists in filesystem
python2-setuptools: /usr/lib/python2.7/site-packages/_markerlib/markers.pyc exists in filesystem
python2-setuptools: /usr/lib/python2.7/site-packages/easy_install.py exists in filesystem
python2-setuptools: /usr/lib/python2.7/site-packages/easy_install.pyc exists in filesystem
python2-setuptools: /usr/lib/python2.7/site-packages/setuptools/__init__.py exists in filesystem
python2-setuptools: /usr/lib/python2.7/site-packages/setuptools/__init__.pyc exists in filesystem
python2-setuptools: /usr/lib/python2.7/site-packages/setuptools/archive_util.py exists in filesystem
python2-setuptools: /usr/lib/python2.7/site-packages/setuptools/archive_util.pyc exists in filesystem
python2-setuptools: /usr/lib/python2.7/site-packages/setuptools/command/__init__.py exists in filesystem
python2-setuptools: /usr/lib/python2.7/site-packages/setuptools/command/__init__.pyc exists in filesystem
python2-setuptools: /usr/lib/python2.7/site-packages/setuptools/command/alias.py exists in filesystem
python2-setuptools: /usr/lib/python2.7/site-packages/setuptools/command/alias.pyc exists in filesystem
python2-setuptools: /usr/lib/python2.7/site-packages/setuptools/command/bdist_egg.py exists in filesystem
python2-setuptools: /usr/lib/python2.7/site-packages/setuptools/command/bdist_egg.pyc exists in filesystem
python2-setuptools: /usr/lib/python2.7/site-packages/setuptools/command/bdist_rpm.py exists in filesystem
python2-setuptools: /usr/lib/python2.7/site-packages/setuptools/command/bdist_rpm.pyc exists in filesystem
python2-setuptools: /usr/lib/python2.7/site-packages/setuptools/command/bdist_wininst.py exists in filesystem
python2-setuptools: /usr/lib/python2.7/site-packages/setuptools/command/bdist_wininst.pyc exists in filesystem
python2-setuptools: /usr/lib/python2.7/site-packages/setuptools/command/build_ext.py exists in filesystem
python2-setuptools: /usr/lib/python2.7/site-packages/setuptools/command/build_ext.pyc exists in filesystem
python2-setuptools: /usr/lib/python2.7/site-packages/setuptools/command/build_py.py exists in filesystem
python2-setuptools: /usr/lib/python2.7/site-packages/setuptools/command/build_py.pyc exists in filesystem
python2-setuptools: /usr/lib/python2.7/site-packages/setuptools/command/develop.py exists in filesystem
python2-setuptools: /usr/lib/python2.7/site-packages/setuptools/command/develop.pyc exists in filesystem
python2-setuptools: /usr/lib/python2.7/site-packages/setuptools/command/easy_install.py exists in filesystem
python2-setuptools: /usr/lib/python2.7/site-packages/setuptools/command/easy_install.pyc exists in filesystem
python2-setuptools: /usr/lib/python2.7/site-packages/setuptools/command/egg_info.py exists in filesystem
python2-setuptools: /usr/lib/python2.7/site-packages/setuptools/command/egg_info.pyc exists in filesystem
python2-setuptools: /usr/lib/python2.7/site-packages/setuptools/command/install.py exists in filesystem
python2-setuptools: /usr/lib/python2.7/site-packages/setuptools/command/install.pyc exists in filesystem
python2-setuptools: /usr/lib/python2.7/site-packages/setuptools/command/install_egg_info.py exists in filesystem
python2-setuptools: /usr/lib/python2.7/site-packages/setuptools/command/install_egg_info.pyc exists in filesystem
python2-setuptools: /usr/lib/python2.7/site-packages/setuptools/command/install_lib.py exists in filesystem
python2-setuptools: /usr/lib/python2.7/site-packages/setuptools/command/install_lib.pyc exists in filesystem
python2-setuptools: /usr/lib/python2.7/site-packages/setuptools/command/install_scripts.py exists in filesystem
python2-setuptools: /usr/lib/python2.7/site-packages/setuptools/command/install_scripts.pyc exists in filesystem
python2-setuptools: /usr/lib/python2.7/site-packages/setuptools/command/register.py exists in filesystem
python2-setuptools: /usr/lib/python2.7/site-packages/setuptools/command/register.pyc exists in filesystem
python2-setuptools: /usr/lib/python2.7/site-packages/setuptools/command/rotate.py exists in filesystem
python2-setuptools: /usr/lib/python2.7/site-packages/setuptools/command/rotate.pyc exists in filesystem
python2-setuptools: /usr/lib/python2.7/site-packages/setuptools/command/saveopts.py exists in filesystem
python2-setuptools: /usr/lib/python2.7/site-packages/setuptools/command/saveopts.pyc exists in filesystem
python2-setuptools: /usr/lib/python2.7/site-packages/setuptools/command/sdist.py exists in filesystem
python2-setuptools: /usr/lib/python2.7/site-packages/setuptools/command/sdist.pyc exists in filesystem
python2-setuptools: /usr/lib/python2.7/site-packages/setuptools/command/setopt.py exists in filesystem
python2-setuptools: /usr/lib/python2.7/site-packages/setuptools/command/setopt.pyc exists in filesystem
python2-setuptools: /usr/lib/python2.7/site-packages/setuptools/command/test.py exists in filesystem
python2-setuptools: /usr/lib/python2.7/site-packages/setuptools/command/test.pyc exists in filesystem
python2-setuptools: /usr/lib/python2.7/site-packages/setuptools/command/upload_docs.py exists in filesystem
python2-setuptools: /usr/lib/python2.7/site-packages/setuptools/command/upload_docs.pyc exists in filesystem
python2-setuptools: /usr/lib/python2.7/site-packages/setuptools/depends.py exists in filesystem
python2-setuptools: /usr/lib/python2.7/site-packages/setuptools/depends.pyc exists in filesystem
python2-setuptools: /usr/lib/python2.7/site-packages/setuptools/dist.py exists in filesystem
python2-setuptools: /usr/lib/python2.7/site-packages/setuptools/dist.pyc exists in filesystem
python2-setuptools: /usr/lib/python2.7/site-packages/setuptools/extension.py exists in filesystem
python2-setuptools: /usr/lib/python2.7/site-packages/setuptools/extension.pyc exists in filesystem
python2-setuptools: /usr/lib/python2.7/site-packages/setuptools/lib2to3_ex.py exists in filesystem
python2-setuptools: /usr/lib/python2.7/site-packages/setuptools/lib2to3_ex.pyc exists in filesystem
python2-setuptools: /usr/lib/python2.7/site-packages/setuptools/package_index.py exists in filesystem
python2-setuptools: /usr/lib/python2.7/site-packages/setuptools/package_index.pyc exists in filesystem
python2-setuptools: /usr/lib/python2.7/site-packages/setuptools/py26compat.py exists in filesystem
python2-setuptools: /usr/lib/python2.7/site-packages/setuptools/py26compat.pyc exists in filesystem
python2-setuptools: /usr/lib/python2.7/site-packages/setuptools/py27compat.py exists in filesystem
python2-setuptools: /usr/lib/python2.7/site-packages/setuptools/py27compat.pyc exists in filesystem
python2-setuptools: /usr/lib/python2.7/site-packages/setuptools/py31compat.py exists in filesystem
python2-setuptools: /usr/lib/python2.7/site-packages/setuptools/py31compat.pyc exists in filesystem
python2-setuptools: /usr/lib/python2.7/site-packages/setuptools/sandbox.py exists in filesystem
python2-setuptools: /usr/lib/python2.7/site-packages/setuptools/sandbox.pyc exists in filesystem
python2-setuptools: /usr/lib/python2.7/site-packages/setuptools/site-patch.py exists in filesystem
python2-setuptools: /usr/lib/python2.7/site-packages/setuptools/site-patch.pyc exists in filesystem
python2-setuptools: /usr/lib/python2.7/site-packages/setuptools/ssl_support.py exists in filesystem
python2-setuptools: /usr/lib/python2.7/site-packages/setuptools/ssl_support.pyc exists in filesystem
python2-setuptools: /usr/lib/python2.7/site-packages/setuptools/version.py exists in filesystem
python2-setuptools: /usr/lib/python2.7/site-packages/setuptools/version.pyc exists in filesystem
Errors occurred, no packages were upgraded.
[root@mythtv ks]#


Top
 Profile  
 
PostPosted: Tue Jun 21, 2016 8:40 pm 
Offline
Joined: Tue Aug 15, 2006 11:14 am
Posts: 1196
Location: Orlando FL
You could try to remove the install of "python2-setuptools" and then try the upgrade again.
When you try to remove it Pacman should yell at you about what other packages might be dependent on it.

Code:
sudo pacman -R python2-setuptools

There might be a force command for the upgrade but who knows what else that might force.

_________________
My System


Top
 Profile  
 
PostPosted: Wed Jun 22, 2016 6:50 am 
Offline
Joined: Fri Jul 21, 2006 11:12 pm
Posts: 998
Location: SC
Looks like you installed python2-setuptools manually before and now another package has it as a dep. Check if the conflicting files are owned by another package using pacman -Qo followed by that path to the file you want to check. If they do have an owner then you need to remove the package they are owned by (pacman -R pkg). If the files have no owner then they were placed there by something other than pacman. You need to delete the files or you can use --force switch to install the pkg. It is not recommend to use --force with a upgrade (pacman -Syu) but you can do pacman -S --force python2-setuptools and then try the upgrade again.


Top
 Profile  
 
PostPosted: Wed Jun 22, 2016 1:45 pm 
Offline
Joined: Sat Jun 05, 2004 2:00 pm
Posts: 31
Location: St. Paul, MN
Yes, that took care of it. the -Qo command told me there was no owner, so I forced the install of python2-setuptools and then I could do the upgrade.

Thank you for helping me with an non-LinHES related self-induced problem. I appreciate your help.

Ken


Top
 Profile  
 

Display posts from previous:  Sort by  
Post new topic Reply to topic  [ 4 posts ] 


All times are UTC - 6 hours




Who is online

Users browsing this forum: No registered users and 2 guests


You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot post attachments in this forum

Jump to:  
cron
Powered by phpBB® Forum Software © phpBB Group

Theme Created By ceyhansuyu